// Copyright (C) 2002 Andreas Thiede ( a.thiede@berlin.de )
// 
// based on alevt
#ifndef HAMM_H
#define HAMM_H

#if defined __cplusplus
extern "C" {
#endif

int hamm8(u8 *p, int *err);
int hamm16(u8 *p, int *err);
int hamm24(u8 *p, int *err);
int chk_parity(u8 *p, int n);

#if defined __cplusplus
}
#endif

#endif
